/*
 * Copyright 2024 Luca Fulchir <luca.fulchir@runesauth.com>
 *
 * Licensed under the Apache License, Version 2.0 with LLVM exception (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License and of the exception at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     https://spdx.org/licenses/LLVM-exception.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

mod conf;
mod libt;
mod pkgs;

fn main() {
    let pkgs1 = pkgs::Pkgs1::default();
    let pkgs2 = pkgs::Pkgs2::default();

    println!("pkgs1 - 1:{}", pkgs1.one().my_attr);
    println!("pkgs1 - 2:{}", pkgs1.two().my_attr);
    println!("pkgs2 - 1:{}", pkgs2.one().my_attr);
    println!("pkgs2 - 2:{}", pkgs2.two().my_attr);
    println!("pkgs2 - 3:{}", pkgs2.three().my_attr);
}
